# $Revision: 1.13 $, $Date: 2008/11/11 16:22:26 $
Summary:	xload application - system load average display for X
Summary(pl.UTF-8):	Aplikacja xload - wyświetlanie obciążenia systemu pod X
Name:		xorg-app-xload
Version:	1.0.2
Release:	3
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xload-%{version}.tar.bz2
# Source0-md5:	b41ed6b4bcfc9897366c27a94d2bf150
Source1:	xload.desktop
Source2:	xload.png
Source3:	xload.1x.it
Patch0:		%{name}-xaw.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
BuildRequires:	xorg-util-util-macros >= 0.99.2
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xload program displays a periodically updating histogram of the
system load average.

%description -l pl.UTF-8
Program xload wyświetla okresowo uaktualniany histogram średniego
obciążenia systemu (load average).

%prep
%setup -q -n xload-%{version}
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/xload.desktop
install -D %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/xload.png
install -D %{SOURCE3} $RPM_BUILD_ROOT%{_mandir}/it/man1/xload.1x

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_bindir}/xload
%{_datadir}/X11/app-defaults/XLoad
%{_desktopdir}/xload.desktop
%{_pixmapsdir}/xload.png
%{_mandir}/man1/xload.1x*
%lang(it) %{_mandir}/it/man1/xload.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-xload.spec,v $
Revision 1.13  2008/11/11 16:22:26  arekm
- rel 3; fix xaw related build

Revision 1.12  2008/11/07 20:51:32  arekm
- release 2

Revision 1.11  2007/03/31 21:02:15  qboosh
- real description from man page

Revision 1.10  2007/03/22 06:57:57  arekm
- up to 1.0.2

Revision 1.9  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.7  2006/10/15 20:11:55  qboosh
- merged it xload(1x) manual from old XFree86/X11 packages
- use individual dir, more verbose files, release 1

Revision 1.6  2006/02/07 13:57:22  qboosh
- merged xload.{desktop,png} from monolith

Revision 1.5  2006/01/16 11:09:30  qboosh
- runtime R: libXt >= 1.0.0 (for new app-defaults location)

Revision 1.4  2006/01/12 15:20:46  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.3  2005/12/13 15:25:23  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.2  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.1  2005/10/22 08:46:35  qboosh
- new
